/*
GEST - Gameboy emulator
Copyright (C) 2003-2004 TM

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "debug.h"

#include <windows.h>
#include <stdio.h>

extern char program_directory[];

void debug_print(char* message)
{
   MessageBox(NULL, message , emu_title, 0);
}

void debug_log(char* message)
{
   SetCurrentDirectory(program_directory);
   FILE* logfile = fopen("gest.log","a");
   if(!logfile)
   {
      debug_print("Error: Can't open log file!");
      return;
   }
   
   fputs(message,logfile);
   fputc('\n',logfile);
   
   fclose(logfile);
}
