/*
GEST - Gameboy emulator
Copyright (C) 2003-2004 TM

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef GEST_DIRECTPLAY_H
#define GEST_DIRECTPLAY_H

#include "types.h"
#define SafeRelease(x) if(x) { x->Release(), x=NULL; }

extern GUID AppGUID;
extern char player_name[100];
extern int game_found;

bool Init_DP(HWND);
void Kill_DP();
bool Create_Session();
bool Join_Session();
bool init_connection(int);
BOOL FAR PASCAL DPConnect_EnumSessionsCallback(LPCDPSESSIONDESC2 pdpsd,DWORD* pdwTimeout,DWORD dwFlags,VOID* pvContext);

void check_link_state(int,int);
extern int data_sent;
extern int link_on;
extern int link_gb_internal;
extern int syncing;
void link_send_data(byte data);
unsigned short link_receive_data(int,byte*);
//void send_gb_clock_state();
void send_gb_link_state(int,int);
void clear_messages();
extern int net_initted;

#endif
